window.Gleam.initSearch([{"doc":"beecrypt","title":"beecrypt","content":"# beecrypt 🐝\n\n[![Package Version](https://img.shields.io/hexpm/v/beecrypt)](https://hex.pm/packages/beecrypt)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/beecrypt/)\n\nBuzzing Gleam bindings to the [Erlang bcrypt hashing library][erlang-bcrypt]!\n\n## Usage\n\nAdd it to your Gleam project:\n```sh\ngleam add beecrypt\n```\n\nAnd get hashing:\n\n```gleam\n// The user gives us a password\nlet user_password = &quot;blink182&quot;\n\n// We salt and hash the password\nlet hash = beecrypt.hash(user_password)\n\n// The hash can be used to check if future passwords match\nbeecrypt.verify(&quot;blink182&quot;, hash) // -&gt; True\nbeecrypt.verify(&quot;password&quot;, hash) // -&gt; False\n```\n\nAPI documentation can be found at &lt;https://hexdocs.pm/beecrypt&gt;, and further\ndocumentation can be found in the [Erlang library&#39;s repository][erlang-bcrypt].\n\n\n[erlang-bcrypt]: https://github.com/erlangpack/bcrypt\n","url":"index.html"},{"doc":"beecrypt","title":"hash","content":"pub fn hash(password: String) -&gt; String\n\nSynonyms:\nbeecrypt.hash\nbeecrypt hash","url":"beecrypt.html#hash"},{"doc":"beecrypt","title":"verify","content":"pub fn verify(password: String, hash: String) -&gt; Bool\n\nSynonyms:\nbeecrypt.verify\nbeecrypt verify","url":"beecrypt.html#verify"},{"doc":"beecrypt","title":"beecrypt","content":"","url":"beecrypt.html"}]);